package cn.com.qmth.stmms.ms.core.domain.user;

/**
 * Created by zhengmin on 2016/10/9.
 */
public enum Role {
    MARKER("评卷员"), MARK_LEADER("科组长"), ADMIN("管理员"), INSPECTOR("复评专家"), INSPECTION("纪检员"), COLLECTOR("采集员"), UPLOAD("图片客户端"), QC("质检员"), SUPER_ADMIN("超级管理员"),;

    private String name;

    private Role(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }

    public static Role findByName(String name) {
        for (Role role : Role.values()) {
            if (role.name == name) {
                return role;
            }
        }
        return null;
    }
}
